#
# spec file for package vmfs-tools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vmfs-tools
Version:        0.2.5
Release:        2.21
Summary:        Tools to access VMFS filesystems
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://glandium.org/projects/vmfs-tools/
Source:         http://glandium.org/projects/vmfs-tools/vmfs-tools-%{version}.tar.gz
Patch1:         vmfs-tools-uuid
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fuse)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  asciidoc
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  libuuid-devel
BuildRequires:  libxslt

%description
Originally loosely based on the vmfs code from fluidOps, this set of tools has
since evolved to handle more features from VMFS, such as extents, and allows to
access VMFS through the standard Linux VFS with the help of the FUSE framework.

While it is still work in progress and is not destined for production use yet,
it can be of some help for some people.

%package -n libvmfs-devel
Summary:        Library to access VMFS filesystems
Group:          Development/Libraries/C and C++
Requires:       libuuid-devel

%description -n libvmfs-devel
Originally loosely based on the vmfs code from fluidOps, this set of tools has
since evolved to handle more features from VMFS, such as extents, and allows to
access VMFS through the standard Linux VFS with the help of the FUSE framework.

While it is still work in progress and is not destined for production use yet,
it can be of some help for some people.

%prep
%setup -q
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

chmod 0644 "%{buildroot}%{_mandir}/man8"/*.8

install -d "%{buildroot}%{_includedir}/libvmfs"
install -m0644 libvmfs/*.h "%{buildroot}%{_includedir}/libvmfs/"

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE TODO
%{_sbindir}/debugvmfs
%{_sbindir}/fsck.vmfs
%{_sbindir}/vmfs-fuse
%{_sbindir}/vmfs-lvm
%{_mandir}/man8/debugvmfs.8%{ext_man}
%{_mandir}/man8/fsck.vmfs.8%{ext_man}
%{_mandir}/man8/vmfs-fuse.8%{ext_man}
%{_mandir}/man8/vmfs-lvm.8%{ext_man}

%files -n libvmfs-devel
%defattr(-,root,root)
%{_includedir}/libvmfs

%changelog
* Sat Sep 26 2015 mpluskal@suse.com
- Cleanup spec file with spec-clener
- Cleanup dependencies
- Do not install static libraries
- Remove conditionals for old releases
* Fri Feb 27 2015 Greg.Freemyer@gmail.com
- update to version 0.2.5
  * limited VMFS 5 support (Seems limited to 255 GB or smaller files)
  * experimental extent removal
  * some deep changes to the debugvmfs tool
  * various fixes
- use pkgconfig(fuse) instead of fuse-devel for BuildRequires
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
* Mon May  7 2012 jeffm@suse.com
- Build fixes for libuuid-devel
* Wed Mar 23 2011 pascal.bleser@opensuse.org
- initial version (0.2.1)
